RUNDEF Secao7
     COMPLETENAME
/*
DERIVAR UMA VARIAVEL UTILIZANDO A FUNO RECODE

Descrio do programa:
Este programa ilustra como derivar uma varivel utilizando a
funo RECODE. A idade das pessoas  recodificada em tres
categoras: jovens, adultos e terceira idade. As categoras
refletem uma prtica estandarizada para o agrupamento de idades,
para o clculo da relao de dependncia.

	0  14       Jovens
       15 - 64       Adultos
       65 ou mais    Terceira idade
*/

DEFINE PESSOA.GRP3 AS RECODE PESSOA.IDADE 
    (0 - 14=1)  (15 - 64=2)  (65 - HIGHEST =3)
    RANGE 1 - 3
    VARLABEL "Tres grandes grupos de idade"
    VALUELABELS 1 "Jovens" 2 "Adultos" 3 "Terceira idade"

TABLE VERIF AS FREQUENCY OF PESSOA.GRP3

/*
Notas de programao:
1. Cada item do RECODE  especificado entre parnteses.
2. A ltima faixa do RECODE est especificada com a palavra
   reservada HIGHEST para assegurar que o valor mximo da 
   varivel idade esteja includo no processo. Da mesma maneira,
   a palavra LOWEST pode ser utilizada para o valor mnimo.
3. A clusula ELSE tambm poderia ser utilizada para indicar a
   ltimo faixa: (0 - 14=1) (15 - 64=2) ELSE 3
   Note que esta opo inclui TODOS os valores no includos
   nos dois primeiros itens.
4. A clusula VALUELABELS documenta as trs categorias. En cada
   elemento se especifica o valor da categoria seguido do
   rtulo da categoria entre aspas (e pelo menos um espao 
   em branco entre a categoria e o rtulo).
5. A clusula COMPLETENAME no comando RUNDEF faz com que na
   tabela de resultados sejam mostrados tanto a categoria como o 
   rtulo. Sem esta clusula somente seria mostrado o rtulo. 
   Esta clusula tambm pode ser informada no comando TABLE.

Resultados:
    Categorias         Casos	   %
    1. Jovens          17965    34,4
    2. Adultos         30886    59,2
    3. Terceira idade   3338     6,4
    Total              52189   100,0

Comentarios:
1. Os adultos representam  59,2% do total da populao.
*/
