RUNDEF Secao09

/*
CRIACAO DE UMA VARIAVEL PERMANENTE
Nmero de filhos(as)

Descrio do programa:
O programa cria uma varivel a nvel de domclio (nmero de filhos por
domiclio). Isto  obtido contando o nmero de filhos(as) no domiclio,
definido como uma pessoa menor de 15 anos (PESSOA.IDADE < 15) e 
declarado como filho(a) do chefe(a) (PESSOA.PARENT = 4).
*/

DEFINE DOMICIL.NFILHOS AS COUNT PESSOA
  FOR PESSOA.PARENT = 4 AND PESSOA.IDADE < 15
  VARLABEL "Nmero de filhos(as) por domiclio"
  RANGE 0 - 20
  SAVE "DOMICIL_NFILHOS.rbf" OVERWRITE

TABLE VERIF AS FREQUENCY OF DOMICIL.NFILHOS

/*
Notas de programao:
1. No existe diferena entre este programa e o programa da seo 5, 
   mas devemos criar esta varivel para uso posterior.
   
Resultados:
Categorias   Casos
 0            7936
 1            2137
 2            1944
 3            1103
 4             489
 5             207
 6              51
 7              34
 8              10
 9               4
 10              4
 Total       13919

Comentrios:
1. Existem 7.936 domiclios sem filhos(as) e 4 domiclios com 10 filhos(as).
2. No esquea de salvar o dicionrio depois de executar o programa.
*/