RUNDEF Secao10

/*
CRIAO DE UMA VARIVEL PERMANENTE

Descrio do programa:
Igual  Secao09 mas para o chefe do domiclio.
*/

DEFINE DOMICIL.SEXOCH AS PESSOA.SEXO
  FOR PESSOA.PARENT = 1
  VARLABEL "Sexo do chefe do domiclio"
  LIKE PESSOA.SEXO
  missing 3
  SAVE "DOMICIL_SEXOCH.rbf" OVERWRITE
  
TABLE VERIF AS FREQUENCY OF DOMICIL.SEXOCH

/*
Notas de programao:
1. A clusula LIKE copia todos os atributos da varivel original para
   a nova varivel, com exceo daqueles explicitamente definidos 
   (neste caso VARLABEL). 
   
Resultados:
Categorias    Casos       %
 masculino     8975    78,9
 feminino      2400    21,1
 Total        11375   100,0
	
 NSA:          2544

Comentrios:
1. Existem 2455 casos com valor no aplica que correspondem aos 
   domiclios sem chefe.
2. Em Nova Miranda, aproximadamente 80% dos domiclios tem chefe
   de de domiclio masculino.
3. No esquea de salvar o dicionrio depois de executar o programa.
*/