RUNDEF Seccao17

/*
DERIVAR GRUPOS DE IDADE

Descrio do programa:
Este programa demonstra a criao de uma varivel de grupo de idade
utilizando a funo de RECODE. O exemplo inclui o agrupamento de
idades en quatro categorias.
*/

DEFINE PESSOA.GRPIDAD4 AS RECODE PESSOA.IDADE
    (0 - 14=1) (15 - 24=2) (25 - 64=3) (65 - HIGHEST =4)
    RANGE 1-4
    VARLABEL "Quatro grandes grupos de idade"
    VALUELABELS 1 "Jovens" 2 "Adultos jovens" 3 "Adultos" 4 "Adultos maiores"
    SAVE "PESSOA_GRPIDAD4.rbf" OVERWRITE

TABLE VERIF AS FREQUENCY OF PESSOA.GRPIDAD4

/*
Notas de programao:
1. Esta classificao reagrupa a idade em quatro grandes grupos: jovens
   (0-14), adultos jovens (15-24), adultos (25-64) e adultos maiores
   (64+). Esta categorizao pode ser utilizada para calcular a razo
   de dependncia baseada na idade.

Resultados:
Categorias        Casos     %
 Jovens           17965  34,4
 Adultos jovens   11200  21.5
 Adultos          19686  37,7
 Adultos maiores   3338   6,4
 Total            52189 100,0



   
Comentrios:
1. No se esquea de salvar o dicionrio depois de executar o programa.
*/
