RUNDEF Secao18

/*
CALCULAR NDICE DE MASCULINIDADE POR REA

Descrio do programa:
Este programa calcula o ndice de masculinidade por rea.
 um ndice demogrfico que expressa a razo de homens
por mulheres em uma determinada rea, multiplicada por 100.
*/

DEFINE MUNIC.HOMENS
  AS COUNT PESSOA
  FOR PESSOA.SEXO = 1
  VARLABEL "# de hombres"
  
DEFINE MUNIC.MULHERES
  AS COUNT PESSOA
  FOR PESSOA.SEXO = 2
  VARLABEL "# de mulheres"

DEFINE MUNIC.INDICEM AS MUNIC.HOMENS / MUNIC.MULHERES
  TYPE REAL
  FOR MUNIC.MULHERES > 0
  VARLABEL "ndice de masculinidade por mujnicpio"
  DECIMALS 2
  
TABLE VERIF AS AREALIST OF MUNIC, MUNIC.NMUNIC,
  MUNIC.HOMENS, MUNIC.MULHERES, MUNIC.INDICEM
  TITLE "ndice de masculinidade em Nova Miranda"
  DECIMALS 2

/*
Notas de programao:
1. A clusula FOR MUNIC.MULHERES > 0 garante que no se produza
   uma diviso por 0. Ainda que neste caso seja bvio que a
   precauo no seja necessria,  um bom costume incluir sempre
   a clusula nas divises.
2. Quando uma varivel  includa em um AREALIST, no  necessrio 
   especificar uma faixa na definio da varivel.
3.  possvel incluir um ttulo (clusula TITLE) para identificar
   a tabela.

Resultados:
Cdigo  Nome do municpio  # de homens    # de mulheres ndice de masculinidade por municpio
5       Santa Maria                 10767        10961                              0,98
6       Santiago                     4931         4038                              1,22
7       Bolivar                      7300         6981                              1,05
8       Marbella                     2004         1814                              1,10
9       Puerto Nuevo                 1832         1561                              1,17

Comentrios:
1. Os ndices mais altos se encontram em Santiago e Puerto Nuevo
*/
