RUNDEF Secao21

/*
CALCULAR A RAZO DE DEPENDENCIA BASEADA EM GRUPOS DE IDADE

Descrio do programa:
O programa calcula o indicador de dependncia por rea. 
A razo de dependncia de uma rea dada se define como a razo de 
dependentes (crianas y terceira idade) pelos independentes
(adultos). Se utiliza a varivel PESSOA.GRP3 (Secao07). O 
programa mostra a gerao de uma lista a nivel de MUNIC.

*/
DEFINE PESSOA.GRP3 AS RECODE PESSOA.IDADE 
    (0 - 14=1)  (15 - 64=2)  (65 - HIGHEST =3)
    RANGE 1 - 3
    VARLABEL "Tres grandes grupos de idade"
    VALUELABELS 1 "Jovens" 2 "Adultos" 3 "Terceira idade"
    
DEFINE MUNIC.DEPEND AS COUNT PESSOA
  FOR PESSOA.GRP3 <> 2
  VARLABEL "# de dependentes"

DEFINE MUNIC.INDEP AS COUNT PESSOA
  FOR PESSOA.GRP3 = 2
  VARLABEL "# de ativos"

DEFINE MUNIC.DEPRAZAO AS 100 * (MUNIC.DEPEND / MUNIC.INDEP)
  TYPE REAL
  FOR MUNIC.INDEP > 0
  VARLABEL "Razo de dependncia"
  DECIMALS 2
  
TABLE VERIF AS AREALIST OF MUNIC, MUNIC.NMUNIC,
  MUNIC.DEPEND, MUNIC.INDEP, MUNIC.DEPRAZAO
  TITLE "Razo de dependncia em Nueva Miranda"
  DECIMALS 2

/*
Notas de programao:
1. Cada vez que se faz uma diviso  necessrio:
   - definir a varivel como tipo REAL,
   - e proteger-se da diviso por 0.
   
Resultados:
Cdigo Nome do municpio    # de dependentes  # de ativos Razo de dependncia
5      Santa Maria                      8293        13435                61,73
6      Santiago                         4191         4778                87,71
7      Bolivar                          6053         8228                73,57
8      Marbella                         1455         2363                61,57
9      Puerto Nuevo                     1311         2082                62,97

Comentrios:
1. O municpio com a razo de dependncia mais alta  Santiago.
*/
